Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus.config
Class DefaultConfigurationService

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.codehaus.xfire.plexus.PlexusXFireComponent
              org.codehaus.xfire.plexus.config.DefaultConfigurationService

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Configurable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable, ConfigurationService

    public class DefaultConfigurationService

extends PlexusXFireComponent
implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, ConfigurationService, org.codehaus.plexus.personality.plexus.lifecycle.phase.Configurable

Loads in XFire components from the XFire configuration file.

Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.plexus.config.ConfigurationService
`ROLE`

Constructor Summary
`DefaultConfigurationService()`

Method Summary
`void` | `configure(org.codehaus.plexus.configuration.PlexusConfiguration config)`
`protected java.io.Reader` | `findConfigurationReader()`
`void` | `initialize()`

Methods inherited from class org.codehaus.xfire.plexus.PlexusXFireComponent
`getServiceLocator, service`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConfigurationService

    public DefaultConfigurationService()

Method Detail

### initialize

    public void initialize()
                    throws org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException

  Specified by:
    `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`
  Throws:
    `org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException`

### findConfigurationReader

    protected java.io.Reader findConfigurationReader()
                                              throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### configure

    public void configure(org.codehaus.plexus.configuration.PlexusConfiguration config)
                   throws org.codehaus.plexus.configuration.PlexusConfigurationException

  Specified by:
    `configure` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Configurable`
  Parameters:
    `arg0` -
  Throws:
    `org.codehaus.plexus.configuration.PlexusConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.